curl --request PUT \
--url https://api.eflow.team/v1/networks/offergroups/{offerGroupId} \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"name": "Holiday Offers Updated",
"offer_group_status": "active",
"network_advertiser_id": 13,
"network_offer_ids": [
1,
8
],
"currency_id": "USD",
"is_caps_enabled": true,
"is_soft_cap": false,
"weekly_click_cap": 500
}
'import requests
url = "https://api.eflow.team/v1/networks/offergroups/{offerGroupId}"
payload = {
"name": "Holiday Offers Updated",
"offer_group_status": "active",
"network_advertiser_id": 13,
"network_offer_ids": [1, 8],
"currency_id": "USD",
"is_caps_enabled": True,
"is_soft_cap": False,
"weekly_click_cap": 500
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Holiday Offers Updated',
offer_group_status: 'active',
network_advertiser_id: 13,
network_offer_ids: [1, 8],
currency_id: 'USD',
is_caps_enabled: true,
is_soft_cap: false,
weekly_click_cap: 500
})
};
fetch('https://api.eflow.team/v1/networks/offergroups/{offerGroupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"network_offer_group_id": 123,
"network_id": 123,
"network_advertiser_id": 123,
"name": "<string>",
"internal_notes": "<string>",
"offer_group_status": "active",
"is_caps_enabled": true,
"daily_conversion_cap": 123,
"weekly_conversion_cap": 123,
"monthly_conversion_cap": 123,
"global_conversion_cap": 123,
"daily_payout_cap": 123,
"weekly_payout_cap": 123,
"monthly_payout_cap": 123,
"global_payout_cap": 123,
"daily_revenue_cap": 123,
"weekly_revenue_cap": 123,
"monthly_revenue_cap": 123,
"global_revenue_cap": 123,
"daily_click_cap": 123,
"weekly_click_cap": 123,
"monthly_click_cap": 123,
"global_click_cap": 123,
"time_created": 1734455015,
"time_saved": 1734455015,
"relationship": {
"advertiser": {
"network_advertiser_id": 123,
"network_id": 123,
"name": "<string>",
"account_status": "<string>",
"network_employee_id": 123,
"sales_manager_id": 123,
"address_id": 123,
"is_contact_address_enabled": true,
"default_currency_id": "<string>",
"platform_name": "<string>",
"platform_url": "<string>",
"platform_username": "<string>",
"offer_id_macro": "<string>",
"affiliate_id_macro": "<string>",
"accounting_contact_email": "<string>",
"internal_notes": "<string>",
"attribution_method": "<string>",
"email_attribution_method": "<string>",
"attribution_priority": "<string>",
"verification_token": "<string>",
"is_expose_publisher_reporting_data": true,
"reporting_timezone_id": 123,
"time_created": 1734455015,
"time_saved": 1734455015
},
"labels": {
"total": 123,
"entries": [
"<string>"
]
},
"network_offer_ids": [
123
],
"remaining_caps": {
"remaining_daily_payout_cap": 123,
"remaining_daily_revenue_cap": 123,
"remaining_daily_conversion_cap": 123,
"remaining_daily_click_cap": 123,
"remaining_weekly_payout_cap": 123,
"remaining_weekly_revenue_cap": 123,
"remaining_weekly_conversion_cap": 123,
"remaining_weekly_click_cap": 123,
"remaining_monthly_payout_cap": 123,
"remaining_monthly_revenue_cap": 123,
"remaining_monthly_conversion_cap": 123,
"remaining_monthly_click_cap": 123,
"remaining_global_payout_cap": 123,
"remaining_global_revenue_cap": 123,
"remaining_global_conversion_cap": 123,
"remaining_global_click_cap": 123
}
},
"is_soft_cap": true
}Update Offer Group
Update an existing offer group. Any omitted non-required fields will be reset to defaults.
Authorizations
The Everflow API key generated from the Control Center > Security.
Path Parameters
The offer group ID.
Body
Name of the offer group.
Status of the offer group.
active, paused, deleted ID of the advertiser for the offer group.
IDs of the offers to include in the offer group. The offers must belong to the specified advertiser.
Currency for the offer group. See the List Currencies endpoint for available values.
Labels to assign to this offer group.
Internal notes about the offer group.
Whether caps are enabled. When false, all cap values are ignored.
When true, caps are soft (tracking continues but a notification is sent). When false, caps are hard (tracking stops when the cap is reached).
Limit to the number of unique conversions in one day.
Limit to the number of unique conversions in one week (Monday midnight to Sunday 23h59:59).
Limit to the number of unique conversions in one month.
Limit to the total number of unique conversions at the offer level.
Limit to the affiliate's payout for one day.
Limit to the affiliate's payout for a week (Monday midnight to Sunday 23h59:59).
Limit to the affiliate's payout for one month.
Limit to the affiliate's total payout at the offer level.
Limit to the network's revenue for one day.
Limit to the network's revenue for a week (Monday midnight to Sunday 23h59:59).
Limit to the network's revenue for one month.
Limit to the network's total revenue at the offer level.
Limit to the number of unique clicks in one day.
Limit to the number of unique clicks in a week (Monday midnight to Sunday 23h59:59).
Limit to the number of unique clicks in one month.
Limit to the total number of unique clicks at the offer level.
Response
Unique offer group ID.
Network ID.
ID of the advertiser for the offer group.
Name of the offer group.
Internal notes about the offer group.
Status of the offer group. Can be one of the following values: active, paused or deleted.
active, paused, deleted Whether caps are enabled. When false, voids all types of caps and custom caps.
Limit to the number of unique conversions in one day.
Limit to the number of unique conversions in one week (Monday midnight to Sunday 23h59:59).
Limit to the number of unique conversions in one month.
Limit to the total number of unique conversions at the offer level.
Limit to the affiliate's payout for one day.
Limit to the affiliate's payout for a week (Monday midnight to Sunday 23h59:59).
Limit to the affiliate's payout for one month.
Limit to the affiliate's total payout at the offer level.
Limit to the network's revenue for one day.
Limit to the network's revenue for a week (Monday midnight to Sunday 23h59:59).
Limit to the network's revenue for one month.
Limit to the network's total revenue at the offer level.
Limit to the number of unique clicks in one day.
Limit to the number of unique clicks in a week (Monday midnight to Sunday 23h59:59).
Limit to the number of unique clicks in one month.
Limit to the total number of unique clicks at the offer level.
Unix timestamp of creation.
1734455015
Unix timestamp of last update.
1734455015
Show child attributes
Show child attributes
Whether soft caps are enabled for this offer group.
Was this page helpful?
